Sophos product updates related to the FREAK vulnerability

Sophos Platinum Solution Partner

A recently discovered online vulnerability dubbed “FREAK” has been affecting users through various well-known Web browsers and operating systems. The reported vulnerability lets hackers force secure connections to use a weaker form of encryption.

Our customers who use Sophos UTM 9.2 need not worry. An upgrade has been released by Sophos to prevent users from being exploited and all of TSG’s customers who use Sophos UTM are being upgraded remotely without having to do anything themselves. The vast majority of customers have already had their upgrades completed. Any whose upgrades have not been completed will be contacted.

If you have any concerns about your security as a Sophos customer or not, please do not hesitate to get in touch with your account manager or speak to us at info@tsg.com – 0333 220 0777.

Live Chat Software